package cn.hanghui.outapi.platform.tenant.entity.enums;

import cn.hutool.core.util.StrUtil;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @description:联动平台校验模式
 * @ClassName LinkageCheckMode
 * @Author WXG
 * @Date 2024/3/27 11:23
 */
@AllArgsConstructor
@Getter
public enum LinkageCheckModeEnum {
    COMMON(1, "通用"),
    PRE_CHECK(2, "预检查"),
            ;

    public static LinkageCheckModeEnum getEnumByCode(Integer code){
        if(code==null){
            return null;
        }
        for (LinkageCheckModeEnum enumObject : values()){
            if(enumObject.code.equals(code)){
                return enumObject;
            }
        }
        return null;
    }
    private Integer code;
    private String desc;
}
